//
// This file is auto-generated from keymaps.csv
// Database checksum sha256(527727ef96d7103a8d7725a6ed9738812660b5a3f4aec086dd7b587b1ba9fcca)
// To re-generate, run:
//   keymap-gen code-map --lang=rust --varname=keymap_osx2qnum keymaps.csv osx qnum
//
pub static KEYMAP_OSX2QNUM: &[u16] = &[
  0x1e, // osx:0 (ANSI_A) -> linux:30 (KEY_A) -> qnum:30
  0x1f, // osx:1 (ANSI_S) -> linux:31 (KEY_S) -> qnum:31
  0x20, // osx:2 (ANSI_D) -> linux:32 (KEY_D) -> qnum:32
  0x21, // osx:3 (ANSI_F) -> linux:33 (KEY_F) -> qnum:33
  0x23, // osx:4 (ANSI_H) -> linux:35 (KEY_H) -> qnum:35
  0x22, // osx:5 (ANSI_G) -> linux:34 (KEY_G) -> qnum:34
  0x2c, // osx:6 (ANSI_Z) -> linux:44 (KEY_Z) -> qnum:44
  0x2d, // osx:7 (ANSI_X) -> linux:45 (KEY_X) -> qnum:45
  0x2e, // osx:8 (ANSI_C) -> linux:46 (KEY_C) -> qnum:46
  0x2f, // osx:9 (ANSI_V) -> linux:47 (KEY_V) -> qnum:47
  0x56, // osx:10 (ISO_Section) -> linux:86 (KEY_102ND) -> qnum:86
  0x30, // osx:11 (ANSI_B) -> linux:48 (KEY_B) -> qnum:48
  0x10, // osx:12 (ANSI_Q) -> linux:16 (KEY_Q) -> qnum:16
  0x11, // osx:13 (ANSI_W) -> linux:17 (KEY_W) -> qnum:17
  0x12, // osx:14 (ANSI_E) -> linux:18 (KEY_E) -> qnum:18
  0x13, // osx:15 (ANSI_R) -> linux:19 (KEY_R) -> qnum:19
  0x15, // osx:16 (ANSI_Y) -> linux:21 (KEY_Y) -> qnum:21
  0x14, // osx:17 (ANSI_T) -> linux:20 (KEY_T) -> qnum:20
  0x2, // osx:18 (ANSI_1) -> linux:2 (KEY_1) -> qnum:2
  0x3, // osx:19 (ANSI_2) -> linux:3 (KEY_2) -> qnum:3
  0x4, // osx:20 (ANSI_3) -> linux:4 (KEY_3) -> qnum:4
  0x5, // osx:21 (ANSI_4) -> linux:5 (KEY_4) -> qnum:5
  0x7, // osx:22 (ANSI_6) -> linux:7 (KEY_6) -> qnum:7
  0x6, // osx:23 (ANSI_5) -> linux:6 (KEY_5) -> qnum:6
  0xd, // osx:24 (ANSI_Equal) -> linux:13 (KEY_EQUAL) -> qnum:13
  0xa, // osx:25 (ANSI_9) -> linux:10 (KEY_9) -> qnum:10
  0x8, // osx:26 (ANSI_7) -> linux:8 (KEY_7) -> qnum:8
  0xc, // osx:27 (ANSI_Minus) -> linux:12 (KEY_MINUS) -> qnum:12
  0x9, // osx:28 (ANSI_8) -> linux:9 (KEY_8) -> qnum:9
  0xb, // osx:29 (ANSI_0) -> linux:11 (KEY_0) -> qnum:11
  0x1b, // osx:30 (ANSI_RightBracket) -> linux:27 (KEY_RIGHTBRACE) -> qnum:27
  0x18, // osx:31 (ANSI_O) -> linux:24 (KEY_O) -> qnum:24
  0x16, // osx:32 (ANSI_U) -> linux:22 (KEY_U) -> qnum:22
  0x1a, // osx:33 (ANSI_LeftBracket) -> linux:26 (KEY_LEFTBRACE) -> qnum:26
  0x17, // osx:34 (ANSI_I) -> linux:23 (KEY_I) -> qnum:23
  0x19, // osx:35 (ANSI_P) -> linux:25 (KEY_P) -> qnum:25
  0x1c, // osx:36 (Return) -> linux:28 (KEY_ENTER) -> qnum:28
  0x26, // osx:37 (ANSI_L) -> linux:38 (KEY_L) -> qnum:38
  0x24, // osx:38 (ANSI_J) -> linux:36 (KEY_J) -> qnum:36
  0x28, // osx:39 (ANSI_Quote) -> linux:40 (KEY_APOSTROPHE) -> qnum:40
  0x25, // osx:40 (ANSI_K) -> linux:37 (KEY_K) -> qnum:37
  0x27, // osx:41 (ANSI_Semicolon) -> linux:39 (KEY_SEMICOLON) -> qnum:39
  0x2b, // osx:42 (ANSI_Backslash) -> linux:43 (KEY_BACKSLASH) -> qnum:43
  0x33, // osx:43 (ANSI_Comma) -> linux:51 (KEY_COMMA) -> qnum:51
  0x35, // osx:44 (ANSI_Slash) -> linux:53 (KEY_SLASH) -> qnum:53
  0x31, // osx:45 (ANSI_N) -> linux:49 (KEY_N) -> qnum:49
  0x32, // osx:46 (ANSI_M) -> linux:50 (KEY_M) -> qnum:50
  0x34, // osx:47 (ANSI_Period) -> linux:52 (KEY_DOT) -> qnum:52
  0xf, // osx:48 (Tab) -> linux:15 (KEY_TAB) -> qnum:15
  0x39, // osx:49 (Space) -> linux:57 (KEY_SPACE) -> qnum:57
  0x29, // osx:50 (ANSI_Grave) -> linux:41 (KEY_GRAVE) -> qnum:41
  0xe, // osx:51 (Delete) -> linux:14 (KEY_BACKSPACE) -> qnum:14
  0, // osx:52 (unnamed) -> linux:None (unnamed) -> qnum:None
  0x1, // osx:53 (Escape) -> linux:1 (KEY_ESC) -> qnum:1
  0xdc, // osx:54 (RightCommand) -> linux:126 (KEY_RIGHTMETA) -> qnum:220
  0xdb, // osx:55 (Command) -> linux:125 (KEY_LEFTMETA) -> qnum:219
  0x2a, // osx:56 (Shift) -> linux:42 (KEY_LEFTSHIFT) -> qnum:42
  0x3a, // osx:57 (CapsLock) -> linux:58 (KEY_CAPSLOCK) -> qnum:58
  0x38, // osx:58 (Option) -> linux:56 (KEY_LEFTALT) -> qnum:56
  0x1d, // osx:59 (Control) -> linux:29 (KEY_LEFTCTRL) -> qnum:29
  0x36, // osx:60 (RightShift) -> linux:54 (KEY_RIGHTSHIFT) -> qnum:54
  0xb8, // osx:61 (RightOption) -> linux:100 (KEY_RIGHTALT) -> qnum:184
  0x9d, // osx:62 (RightControl) -> linux:97 (KEY_RIGHTCTRL) -> qnum:157
  0, // osx:63 (Function) -> linux:464 (KEY_FN) -> qnum:None
  0x83, // osx:64 (F17) -> linux:187 (KEY_F17) -> qnum:131
  0x53, // osx:65 (ANSI_KeypadDecimal) -> linux:83 (KEY_KPDOT) -> qnum:83
  0, // osx:66 (unnamed) -> linux:None (unnamed) -> qnum:None
  0x37, // osx:67 (ANSI_KeypadMultiply) -> linux:55 (KEY_KPASTERISK) -> qnum:55
  0, // osx:68 (unnamed) -> linux:None (unnamed) -> qnum:None
  0x4e, // osx:69 (ANSI_KeypadPlus) -> linux:78 (KEY_KPPLUS) -> qnum:78
  0, // osx:70 (unnamed) -> linux:None (unnamed) -> qnum:None
  0x45, // osx:71 (ANSI_KeypadClear) -> linux:69 (KEY_NUMLOCK) -> qnum:69
  0xb0, // osx:72 (VolumeUp) -> linux:115 (KEY_VOLUMEUP) -> qnum:176
  0xae, // osx:73 (VolumeDown) -> linux:114 (KEY_VOLUMEDOWN) -> qnum:174
  0xa0, // osx:74 (Mute) -> linux:113 (KEY_MUTE) -> qnum:160
  0xb5, // osx:75 (ANSI_KeypadDivide) -> linux:98 (KEY_KPSLASH) -> qnum:181
  0x9c, // osx:76 (ANSI_KeypadEnter) -> linux:96 (KEY_KPENTER) -> qnum:156
  0, // osx:77 (unnamed) -> linux:None (unnamed) -> qnum:None
  0x4a, // osx:78 (ANSI_KeypadMinus) -> linux:74 (KEY_KPMINUS) -> qnum:74
  0xf7, // osx:79 (F18) -> linux:188 (KEY_F18) -> qnum:247
  0x84, // osx:80 (F19) -> linux:189 (KEY_F19) -> qnum:132
  0x59, // osx:81 (ANSI_KeypadEquals) -> linux:117 (KEY_KPEQUAL) -> qnum:89
  0x52, // osx:82 (ANSI_Keypad0) -> linux:82 (KEY_KP0) -> qnum:82
  0x4f, // osx:83 (ANSI_Keypad1) -> linux:79 (KEY_KP1) -> qnum:79
  0x50, // osx:84 (ANSI_Keypad2) -> linux:80 (KEY_KP2) -> qnum:80
  0x51, // osx:85 (ANSI_Keypad3) -> linux:81 (KEY_KP3) -> qnum:81
  0x4b, // osx:86 (ANSI_Keypad4) -> linux:75 (KEY_KP4) -> qnum:75
  0x4c, // osx:87 (ANSI_Keypad5) -> linux:76 (KEY_KP5) -> qnum:76
  0x4d, // osx:88 (ANSI_Keypad6) -> linux:77 (KEY_KP6) -> qnum:77
  0x47, // osx:89 (ANSI_Keypad7) -> linux:71 (KEY_KP7) -> qnum:71
  0x5a, // osx:90 (F20) -> linux:190 (KEY_F20) -> qnum:90
  0x48, // osx:91 (ANSI_Keypad8) -> linux:72 (KEY_KP8) -> qnum:72
  0x49, // osx:92 (ANSI_Keypad9) -> linux:73 (KEY_KP9) -> qnum:73
  0x7d, // osx:93 (JIS_Yen) -> linux:124 (KEY_YEN) -> qnum:125
  0x73, // osx:94 (JIS_Underscore) -> linux:89 (KEY_RO) -> qnum:115
  0x5c, // osx:95 (JIS_KeypadComma) -> linux:95 (KEY_KPJPCOMMA) -> qnum:92
  0x3f, // osx:96 (F5) -> linux:63 (KEY_F5) -> qnum:63
  0x40, // osx:97 (F6) -> linux:64 (KEY_F6) -> qnum:64
  0x41, // osx:98 (F7) -> linux:65 (KEY_F7) -> qnum:65
  0x3d, // osx:99 (F3) -> linux:61 (KEY_F3) -> qnum:61
  0x42, // osx:100 (F8) -> linux:66 (KEY_F8) -> qnum:66
  0x43, // osx:101 (F9) -> linux:67 (KEY_F9) -> qnum:67
  0x71, // osx:102 (JIS_Eisu) -> linux:123 (KEY_HANJA) -> qnum:113
  0x57, // osx:103 (F11) -> linux:87 (KEY_F11) -> qnum:87
  0x72, // osx:104 (JIS_Kana) -> linux:122 (KEY_HANGEUL) -> qnum:114
  0x5d, // osx:105 (F13) -> linux:183 (KEY_F13) -> qnum:93
  0x55, // osx:106 (F16) -> linux:186 (KEY_F16) -> qnum:85
  0x5e, // osx:107 (F14) -> linux:184 (KEY_F14) -> qnum:94
  0, // osx:108 (unnamed) -> linux:None (unnamed) -> qnum:None
  0x44, // osx:109 (F10) -> linux:68 (KEY_F10) -> qnum:68
  0xdd, // osx:110 (unnamed) -> linux:127 (KEY_COMPOSE) -> qnum:221
  0x58, // osx:111 (F12) -> linux:88 (KEY_F12) -> qnum:88
  0, // osx:112 (unnamed) -> linux:None (unnamed) -> qnum:None
  0x5f, // osx:113 (F15) -> linux:185 (KEY_F15) -> qnum:95
  0xf5, // osx:114 (Help) -> linux:138 (KEY_HELP) -> qnum:245
  0xc7, // osx:115 (Home) -> linux:102 (KEY_HOME) -> qnum:199
  0xc9, // osx:116 (PageUp) -> linux:104 (KEY_PAGEUP) -> qnum:201
  0xd3, // osx:117 (ForwardDelete) -> linux:111 (KEY_DELETE) -> qnum:211
  0x3e, // osx:118 (F4) -> linux:62 (KEY_F4) -> qnum:62
  0xcf, // osx:119 (End) -> linux:107 (KEY_END) -> qnum:207
  0x3c, // osx:120 (F2) -> linux:60 (KEY_F2) -> qnum:60
  0xd1, // osx:121 (PageDown) -> linux:109 (KEY_PAGEDOWN) -> qnum:209
  0x3b, // osx:122 (F1) -> linux:59 (KEY_F1) -> qnum:59
  0xcb, // osx:123 (LeftArrow) -> linux:105 (KEY_LEFT) -> qnum:203
  0xcd, // osx:124 (RightArrow) -> linux:106 (KEY_RIGHT) -> qnum:205
  0xd0, // osx:125 (DownArrow) -> linux:108 (KEY_DOWN) -> qnum:208
  0xc8, // osx:126 (UpArrow) -> linux:103 (KEY_UP) -> qnum:200
  0, // osx:127 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:128 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:129 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:130 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:131 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:132 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:133 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:134 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:135 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:136 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:137 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:138 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:139 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:140 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:141 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:142 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:143 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:144 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:145 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:146 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:147 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:148 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:149 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:150 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:151 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:152 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:153 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:154 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:155 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:156 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:157 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:158 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:159 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:160 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:161 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:162 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:163 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:164 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:165 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:166 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:167 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:168 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:169 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:170 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:171 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:172 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:173 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:174 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:175 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:176 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:177 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:178 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:179 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:180 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:181 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:182 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:183 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:184 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:185 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:186 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:187 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:188 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:189 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:190 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:191 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:192 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:193 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:194 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:195 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:196 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:197 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:198 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:199 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:200 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:201 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:202 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:203 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:204 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:205 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:206 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:207 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:208 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:209 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:210 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:211 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:212 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:213 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:214 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:215 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:216 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:217 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:218 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:219 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:220 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:221 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:222 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:223 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:224 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:225 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:226 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:227 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:228 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:229 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:230 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:231 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:232 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:233 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:234 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:235 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:236 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:237 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:238 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:239 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:240 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:241 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:242 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:243 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:244 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:245 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:246 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:247 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:248 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:249 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:250 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:251 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:252 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:253 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:254 (unnamed) -> linux:None (unnamed) -> qnum:None
  0, // osx:255 (unnamed) -> linux:0 (KEY_RESERVED) -> qnum:None
];